<?php

namespace App\Models;

use CodeIgniter\Model;

class InfoModel extends Model
{
  protected $table = 'infografis';
  protected $primaryKey = 'id';

  protected $allowedFields = [ 
     'jenis',
     'judul',
     'keterangan',
     'kategori',
     'kapasitas',
     'tautan',
  ];

  protected $returnType = 'array';

  protected $useAutoIncrement = true;
  protected $useTimestamps = false;

  public function getInfografisterbaru($limit = 3)
  {
    // Gantilah 'kategori' sesuai nama kolom tempat menyimpan 'infografis' di tabel Anda
     return $this->where('jenis', 'infografis')
     ->orderBy('id', 'DESC') 
     ->findAll($limit);
  }


  public function getPerpusterbaru($limit = 3)
  {
    // Gantilah 'kategori' sesuai nama kolom tempat menyimpan 'infografis' di tabel Anda
     return $this->where('jenis', 'perpustakaan')
     ->orderBy('id', 'DESC') 
     ->findAll($limit);
  }


}